apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: tn-fds-ishare-demo
namePrefix: ishare-consumer-
commonLabels:
  digilab/type: tenant
  digilab/tenant: fds
  digilab/app: ishare-consumer
  digilab/app-slug: fds-ishare-consumer
resources:
  - ../../base
  - vpa.yaml
  - flux.yaml
images:
  - name: ishare-consumer
    newName: registry.gitlab.com/ibds-fds/ontwikkeling/ishare-demo
    newTag: v0.0.2 # {"$imagepolicy": "tn-fds-ishare-demo:ishare-consumer-ip:tag"}
patches:
  - target:
      kind: Ingress
      name: ing
    patch: |-
      - op: replace
        path: /spec/rules/0/host
        value: ishare-consumer.apps.digilab.network
      - op: replace
        path: /spec/tls/0/hosts/0
        value: ishare-consumer.apps.digilab.network
